from Final_BBO import BBO_model
import time

seeds = [1404, 1715, 1999, 5394, 6293, 9123]

xVal = []
yVal = []
gVal = []
hVal = []
timeList = []


for seed in seeds:
    start = time.time()
    resultX, gVals, hVals, resultY = BBO_model(seed,10,15)
    end = time.time()
    xVal.append(resultX[0])
    yVal.append(resultY[0])
    gVal.append(gVals[0])
    hVal.append(hVals[0])
    timeList.append(end-start)
    print(seed,'done in',end-start, 'seconds!')


print('Seed:', 'xVal', 'yVal', 'gVal', 'hval', 'time')

for i in range(len(seeds)):
    print(seeds[i],xVal[i],yVal[i],gVal[i],hVal[i],timeList[i])
